import request from '@/utils/request'

// 查询Class D overview list列表
export function listClassd(query) {
  return request({
    url: '/process/classd/list',
    method: 'get',
    params: query
  })
}

// 查询Class D overview list详细
export function getClassd(id) {
  return request({
    url: '/process/classd/' + id,
    method: 'get'
  })
}

// 新增Class D overview list
export function addClassd(data) {
  return request({
    url: '/process/classd',
    method: 'post',
    data: data
  })
}

// 修改Class D overview list
export function updateClassd(data) {
  return request({
    url: '/process/classd',
    method: 'put',
    data: data
  })
}

// 删除Class D overview list
export function delClassd(id) {
  return request({
    url: '/process/classd/' + id,
    method: 'delete'
  })
}
